GLANCE-MANAGE(1)

NAME
glance-manage - Glance Management Utility

GLANCE MANAGEMENT UTILITY

    Author
        OpenStack Glance Project Team

    Contact
        glance@lists.launchpad.net

    Date
        2019-04-10

    Copyright
        OpenStack Foundation

    Version
        18.0.0

    Manual section
        1

    Manual group
        cloud computing

  SYNOPSIS

            glance-manage [options]

  DESCRIPTION

glance-manage is a utility for managing and configuring a Glance installation. One important use of glance-manage is to setup the database. To do this run:

            glance-manage db_sync

Note: glance-manage commands can be run either like this:

            glance-manage db sync

or with the db commands concatenated, like this:

            glance-manage db_sync

  COMMANDS

    db  This is the prefix for the commands below when used with a space rather than a _. For example "db version".

    db_version
        This will print the current migration level of a glance database.

    db_upgrade [VERSION]
        This will take an existing database and upgrade it to the specified VERSION.

    db_version_control
        Place the database under migration control.

    db_sync [VERSION]
        Place an existing database under migration control and upgrade it to the specified VERSION.

    db_expand
        Run this command to expand the database as the first step of a rolling upgrade process.

    db_migrate
        Run this command to migrate the database as the second step of a rolling upgrade process.

    db_contract
        Run this command to contract the database as the last step of a rolling upgrade process.

    db_export_metadefs [PATH | PREFIX]
        Export the metadata definitions into json format. By default the definitions are exported to /etc/glance/metadefs directory. Note: this command will overwrite existing files in the supplied or default path.

    db_load_metadefs [PATH]
        Load the metadata definitions into glance database. By default the definitions are imported from /etc/glance/metadefs directory.

    db_unload_metadefs
        Unload the metadata definitions. Clears the contents of all the glance db tables including metadef_namespace_resource_types, metadef_tags, metadef_objects, metadef_resource_types, metadef_namespaces and metadef_properties.

    db_purge
        Purge deleted rows older than a given age from glance db tables.

        This command interprets the following options when it is invoked:

        --max_rows
            Purge deleted rows older than age in days (default value if not specified: 100)

        --age_in_days
            Limit number of records to delete (default value if not specified: 30 days)

    WARNING: This function is useful primarily in test systems. We do not recommend its use in production systems unless you have reviewed OpenStack Security Note OSSN-0075 and understand the risk involved.

    db_purge_images_table
        Purge deleted rows older than a given age from images db tables.

        This command interprets the following options when it is invoked:

        --max_rows
            Purge deleted rows older than age in days (default value if not specified: 100)

        --age_in_days
            Limit number of records to delete (default value if not specified: 30 days)

    WARNING: This function is useful primarily in test systems. We do not recommend its use in production systems unless you have reviewed OpenStack Security Note OSSN-0075 and understand the risk involved.

  OPTIONS

General Options

    -h, --help
        Show the help message and exit

    --version
        Print the version number and exit

    -v, --verbose
        Print more verbose output

    --noverbose
        Disable verbose output

    -d, --debug
        Print debugging output (set logging level to DEBUG instead of default WARNING level)

    --nodebug
        Disable debugging output

    --use-syslog
        Use syslog for logging

    --nouse-syslog
        Disable the use of syslog for logging

    --syslog-log-facility SYSLOG_LOG_FACILITY
        syslog facility to receive log lines

    --config-dir DIR
        Path to a config directory to pull *.conf files from. This file set is sorted, to provide a predictable parse order if individual options are over-ridden. The set is parsed after the file(s) specified via previous --config-file, arguments hence over-ridden options in the directory take precedence. This means that configuration from files in a specified config-dir will always take precedence over configuration from files specified by --config-file, regardless to argument order.

    --config-file PATH
        Path to a config file to use. Multiple config files can be specified by using this flag multiple times, for example, --config-file <file1> --config-file <file2>. Values in latter files take precedence.

    --log-config-append PATH --log-config PATH
        The name of logging configuration file. It does not disable existing loggers, but just appends specified logging configuration to any other existing logging options. Please see the Python logging module documentation for details on logging configuration files. The log-config name for this option is deprecated.

    --log-format FORMAT
        A logging.Formatter log message format string which may use any of the available logging.LogRecord attributes. Default: None

    --log-date-format DATE_FORMAT
        Format string for %(asctime)s in log records. Default: None

    --log-file PATH, --logfile PATH
        (Optional) Name of log file to output to. If not set, logging will go to stdout.

    --log-dir LOG_DIR, --logdir LOG_DIR
        (Optional) The directory to keep log files in (will be prepended to --log-file)

  SEE ALSO

    •   OpenStack Glance

  BUGS

    •   Glance bugs are tracked in Launchpad so you can view current bugs at OpenStack Glance

  CONFIGURATION

The following paths are searched for a glance-manage.conf file in the following order:

    •   ~/.glance

    •   ~/

    •   /etc/glance

    •   /etc

All options set in glance-manage.conf override those set in glance-api.conf.

AUTHOR
OpenStack

COPYRIGHT
2010-present, OpenStack Foundation.